## qubes-gui-agent 4.3.15

=== gui-agent/Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

CC ?= gcc
CFLAGS += -I../include/ `pkg-config --cflags vchan` \
	  `pkg-config --cflags dbus-1` -g -Wall -Wextra -Werror -fPIC \
	  -Wmissing-prototypes -Wstrict-prototypes -Wold-style-declaration \
	  -Wold-style-definition
OBJS = vmside.o txrx-vchan.o error.o list.o encoding.o
LIBS = -lX11 -lXdamage -lXcomposite -lXfixes `pkg-config --libs vchan` -lqubesdb \
	   -lunistring


all: qubes-gui qubes-gui-runuser
qubes-gui: $(OBJS)
	$(CC) $(LDFLAGS) -pie -g -o qubes-gui $(OBJS) \
		$(LIBS)
qubes-gui-runuser: CFLAGS += -g -Wall -Wextra -Werror -pie -fPIC
qubes-gui-runuser: LDLIBS += -lpam -lqubesdb -ldbus-1
qubes-gui-runuser: qubes-gui-runuser.c
clean:
	rm -f qubes-gui qubes-gui-runuser ./*.o ./*~

=== debian/changelog ===
qubes-gui-agent (4.3.15-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 24 Nov 2025 00:03:34 +0100

qubes-gui-agent (4.3.15-1) unstable; urgency=medium

  * debian: install cvt tool
  * Switch to tty7 instead of calling loginctl activate
  * Fix (partially) setting resolution on sys-gui
  * sys-gui: connect Xephyr to DUMMY0 output

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 Nov 2025 00:03:34 +0100

=== debian/control ===
Source: qubes-gui-agent
Section: admin
Priority: extra
Maintainer: Qubes OS Team <qubes-devel@googlegroups.com>
Build-Depends:
    debhelper,
    libpam0g-dev,
    libpulse-dev,
    libtool,
    automake,
    xserver-xorg-dev,
    xutils-dev,
    libvchan-dev,
    libx11-dev,
    libgbm-dev,
    libxcomposite-dev,
    libxdamage-dev,
    libxfixes-dev,
    x11proto-xf86dga-dev,
    libxt-dev,
    libxen-dev,
    lsb-release,
    libpipewire-0.3-dev,
    quilt,
    qubes-gui-common (>= 4.3.0),
    qubesdb-dev,
    libltdl-dev,
    libunistring-dev,
    libdbus-1-dev,
Standards-Version: 4.4.0.1
Homepage: http://www.qubes-os.org/
#Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-gui-agent.git;a=summary

Package: qubes-gui-agent
Architecture: any
Depends:
    xserver-xorg-core,
    xinit,
    x11-xserver-utils,
    qubes-core-agent (>= 3.0.14),
    qubesdb-vm (>= 4.1.4),
    libxdamage1,
    libxcomposite1,
    libxfixes3,
    libxt6,
    libx11-6,
    libpam-systemd,
    python3,
    python3-xcffib,
    xcvt,
    xserver-xorg-video-dummyqbs (= ${binary:Version}),
    xserver-xorg-input-qubes (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: qt4-qtconfig, pulseaudio-qubes
Provides: x-display-manager
Description: Makes X11 windows available to qubes dom0
 The Qubes GUI agent allows the forwarding of running app windows to the
 qubes dom0. It also includes various extras such as copy/paste support.

Package: xserver-xorg-qubes-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Common functions for qubes xserver driver
 Shared library which contains common functions of the Qubes xserver drivers.

Package: xserver-xorg-video-dummyqbs
Architecture: any
Depends:
 ${xviddriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xserver-xorg-qubes-common (= ${binary:Version})
Provides:
 ${xviddriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: Dummy X video driver for qubes-gui-agent
 Dummy X video driver for Qubes VM, with XRandr support.

Package: xserver-xorg-input-qubes
Architecture: any
Depends:
 ${xinpdriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xserver-xorg-qubes-common (= ${binary:Version})
Provides:
 ${xinpdriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: X input driver for injecting events from qubes-gui-agent
 This driver inject input events delivered through qubes-gui-agent.
 Additionally it helps retrieving composition buffers of windows.

Package: pulseaudio-qubes
Architecture: any
Depends:
    qubesdb-vm (>= 4.1.4),
    pulseaudio,
    libpulse0,
    ${shlibs:Depends},
    ${pulse:Depends},
    ${misc:Depends},
Conflicts: pipewire-qubes
Replaces:
 qubes-gui-agent (<< 4.1.9-1),
 qubes-core-agent (<< 4.2.5-1),
Breaks:
 qubes-gui-agent (<< 4.1.9-1),
 qubes-core-agent (<< 4.2.5-1),
Description: Audio support for Qubes VM
 Pulseaudio module to enable sound support in Qubes VM

Package: pipewire-qubes
Architecture: any
Depends:
 qubesdb-vm (>= 4.1.4),
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: pulseaudio-qubes
Recommends: pipewire-pulse
Description: PipeWire module to enable sound support in Qubes VM
 PipeWire module to enable sound support in Qubes VMs.  Unlike the
 PulseAudio support in the pulseaudio-qubes package, this works with
 the stock PipeWire service and does not depend on internal
 PipeWire headers.

Package: qubes-gui-agent-xfce
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: XFCE desktop support for Qubes VM
 XFCE desktop support for Qubes VM

Package: qubes-gui-vnc
Architecture: any
Depends:
    x11vnc
    ${shlibs:Depends},
    ${misc:Depends}
Description: Remote GuiVM support using VNC
 Remote GuiVM support using VNC
